%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           bzr-gtk
Version:        0.15.2
Release:        2%{?dist}
Summary:        Bazaar plugin for GTK+ interfaces to most Bazaar operations

Group:          Development/Tools
License:        GPL
URL:            http://bazaar-vcs.org/bzr-gtk
Source0:        http://samba.org/~jelmer/bzr/bzr-gtk-%{version}.tar.gz
Patch0:         bzr-gtk-disable-notifier.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel bzr
BuildRequires:  gettext
Requires:       bzr >= 0.15
# These enable the commit-notify and nautilus browse functionality resp.  But
# neither are packaged for Fedora yet.
#Requires:       bzr-dbus
#Requires:       python-nautilus

%description
bzr-gtk is a plugin for Bazaar that aims to provide GTK+ interfaces to most
Bazaar operations.

%package -n olive
Summary: Graphical frontend to the bazaar revision control system
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description -n olive
Olive aims to be a full-featured graphical frontend for Bazaar.  It will
expose all core functionality of Bazaar in a user-friendly GUI.

%prep
%setup -q
%patch -p1 -b .disable

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# mv $RPM_BUILD_ROOT%{python_sitelib}/bzrlib/plugins/gtk/nautilus* $RPM_BUILD_ROOT%{_prefix}/lib/nautilus/extensions-1.0/python/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/bzrlib/plugins/gtk/

%files -n olive
%defattr(-,root,root,-)
%{_bindir}/*
%{python_sitelib}/olive
%{_datadir}/olive/
%{_datadir}/pixmaps/olive-gtk.png
%{_datadir}/applications/olive-gtk.desktop

#%files nautilus
#%{_prefix}/lib/nautilus/extensions-1.0/python/*

%changelog
* Wed Apr 18 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-2
- Fix olive description.

* Fri Apr 3 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.2-1
- Upgrade to 0.15.2:
  + Traceback fixed upstream.
  + UI fix to allow resizing the gstatus dialog window.
- Disable the commit notifier as it won't work until we get bzr-dbus into
  Fedora.

* Thu Apr 2 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.1-2
- Fix a traceback in two bzr-gtk subcommands.

* Thu Mar 23 2007 Toshio Kuratomi <toshio@tiki-lounge.com> 0.15.1-1
- Update to 0.15.1
- Split olive directory in site-packages into the olive package.
- Don't own the bzrlib or plugins directory as bzr already owns them.
- Notes on splitting the nautilus functionality out.  This isn't done yet as
  we need to add python-nautilus into Fedora.

* Wed Dec 06 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.13.0-1
- Update to 0.13.0
- Desktop file patch merged upstream.

* Wed Dec 06 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 0.12.0-1
- Update to 0.12.0
- Add a subpackage for the olive code

* Sun Sep 17 2006 Warren Togami <wtogami@redhat.com> 0.10.0-2
- Fix review issues #206877

* Sun Sep 17 2006 Warren Togami <wtogami@redhat.com> 0.10.0-1
- 0.10.0

* Sat Sep 16 2006 Warren Togami <wtogami@redhat.com> 0.9.0-1
- initial Fedora
